Skip to main content
PUT
/
api
/
v1
/
skus
/
{sku_id}
Update Sku
curl --request PUT \
  --url https://staging.cutmake.ai/api/v1/skus/{sku_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "color": "<string>",
  "size": "<string>",
  "qrData": "<string>",
  "isKittedBundle": true,
  "kittedBundle": [
    {}
  ]
}
'
{
  "id": "<string>",
  "documentId": "<string>",
  "color": "<string>",
  "size": "<string>",
  "qrData": "<string>",
  "isKittedBundle": false,
  "kittedBundle": [
    {}
  ]
}

Headers

X-Org-Id
string | null

Path Parameters

sku_id
string
required

Body

application/json
color
string | null
size
string | null
qrData
string | null
isKittedBundle
boolean | null
kittedBundle
Kittedbundle · object[] | null

Response

Successful Response

id
string
required
documentId
string | null
color
string | null
size
string | null
qrData
string | null
isKittedBundle
boolean
default:false
kittedBundle
Kittedbundle · object[] | null